This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 79849

Summary: error dialog displays without text
Product: [Retired] Red Hat Linux Reporter: Guy Streeter <streeter>
Component: gnumericAssignee: Havoc Pennington <hp>
Status: CLOSED UPSTREAM QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: nobody
Target Milestone: ---Keywords: MoveUpstream, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-12 22:57:14 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Guy Streeter 2002-12-17 10:18:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
If you try to import a csv file containing an illegal character, gnumeric will
present an error dialog box with no text.
The gnome dialog box fails to display any text at all if there is a char with
the high bit set in the text string.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.in US English locale, try to import a csv file containing a character with a
tilde.
2.see the empty error message box.
3.
    

Actual Results:  message box with no text appears

Expected Results:  message box explaining why the file import failed.

Additional info:

The gnome dialog box failure is reproducible in a simple test program.
Comment 1 Havoc Pennington 2003-01-12 22:57:14 EST
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103314